-- From: https://docs.spring.io/spring-security/reference/servlet/appendix/database-schema.html

create table authorities (
	username nvarchar(50) not null,
	authority nvarchar(50) not null,
	constraint fk_authorities_users foreign key(username) references users(username)
);
create unique index ix_auth_username on authorities (username,authority);
